> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-documentos/detaildoc.md).

# detailDoc

### Visão geral

Parâmetros:&#x20;

* Token do documento - string

Retorno:

* [docResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docresponse) - caso sucesso
* Exception - caso falha

Para criar esse documento precisamos:

* definir seu token api.
* token do documento.
* chamar o método.

### Uso:

Salve seu [Api Token](https://docs.zapsign.com.br/):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "SEU TOKEN";
</strong></code></pre>

Salve token do documento original:

<pre class="language-typescript"><code class="lang-typescript"><strong>const docToken: string = "TOKEN DOCUMENTO ORIGINAL";
</strong></code></pre>

Chame o método detailDoc e receba como resposta a classe [DocResponse](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/classes-usadas/response/docresponse) ou uma mensagem de erro:

```typescript
async function exempleDetailDoc() {
            try {
                        docResponse: DocResponse = await new DocRequests(apiToken).detailDoc(docToken);
                        jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
                        console.log(jsonDocResponse);
                } catch(Err) {
                         console.log(Err);
                }
}
```

###

### Exemplo completo:

<pre class="language-typescript"><code class="lang-typescript">import DocRequests from "sdk-node-typescript-zapsign/src/docs/DocRequests";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
<strong>
</strong><strong>const apiToken: string = "SEU TOKEN";
</strong><strong>
</strong>const docToken: string = "TOKEN DOCUMENTO ORIGINAL";

async function exempleDetailDoc() {
      try {
            const docResponse: DocResponse = await new DocRequests(apiToken).detailDoc(docToken);
            const jsonDocResponse: string = new JsonConverter().docResponseToJson(docResponse);
            console.log(jsonDocResponse);
         } catch(Err) {
            console.log(Err);
         }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-documentos/detaildoc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
